Skip to main content
GET
/
v1
/
pay
/
fixedaddress
/
detail
View Static Collection Address Details
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/fixedaddress/detail \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "channelId": "smart_shop",
    "chain": "ETH",
    "address": "0x5178ff5B10c17282834028E0A79cb18586D44B7C",
    "currencies": [
      "DAI",
      "USDT"
    ],
    "callbackUrl": "https://www.abc.com/callback",
    "createTime": 1727602420837,
    "updateTime": 1727602430742,
    "desc": "",
    "ChainShowEn": "ETH /ERC20",
    "is_risk": 0
  }
}
Views the details of an already generated and valid static collection address.

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

Query Parameters

channelId
string
required

Merchant channel ID

chain
string
required

Network

Response

200 - application/json

Successful response

status
enum<string>

API response result, SUCCESS or FAIL.

Available options:
SUCCESS,
FAIL
code
string

Response error code.

errorMessage
string

Error description.

data
object